/*
 *	A 4 button slider.  I started out making this a subclass of Control,
 *	but it doesn't use any of Control.  Should've been a simple View. 
 *	Rob Ferrante, 2/92
 */
#import <appkit/Control.h>

@interface GradeSlider:Control
{
	id  knobA;
	id  knobB;
	id  knobC;
	id  knobD;
	NXRect  rectA, rectB, rectC, rectD;
	float  knobOff;
	id  target;
	SEL  action;
}
- initFrame: (NXRect *)r;
- drawSelf: (NXRect *)list :(int) count;
- mouseDown: (NXEvent *)e;
- (float)posA; // just like 'floatValue' in a normal slider
- (float)posB;
- (float)posC;
- (float)posD;
- setTarget:(id)t;
- setAction:(SEL)a;


@end
